FROM node:16-alpine as build_stage

COPY .env .

COPY ./frontend/package*.json .

RUN npm install

COPY ./frontend .

RUN npm run build

FROM nginx:latest as deploy_stage

COPY --from=build_stage dist/ /usr/share/nginx/html/